Name:          Red_Hat_Enterprise_Linux-Release_Notes-6-it-IT
Version:       8
Release:       2%{?dist}
Summary:      Italian translation of Red_Hat_Enterprise_Linux-Release_Notes-6
Summary(it-IT):       Note di rilascio per Red Hat Enterprise Linux 6
Group:         Documentation
License:       CC-BY-SA
URL:           https://fedorahosted.org/publican
Source:        %{name}-%{version}-2.tgz
BuildArch:      noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.0
BuildRequires: desktop-file-utils
BuildRequires: publican-redhat
Requires:      xdg-utils
Provides:      Red_Hat_Enterprise_Linux-Release_Notes-6-it_IT = %{version}-%{release}

%description
Italian translation of Red_Hat_Enterprise_Linux-Release_Notes-6

%description -l it-IT


%prep
%setup -q

%build
publican build --nocolours --formats="html-desktop" --langs=it-IT --publish

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps

cp it-IT/images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-it-IT.svg;


cat > Red_Hat_Enterprise_Linux-Release_Notes-6-it-IT-8.desktop <<'EOF'
[Desktop Entry]
Name=Note di rilascio per Red Hat Enterprise Linux 6
Comment=Note di rilascio per Red Hat Enterprise Linux 6
Exec=xdg-open %{_docdir}/Red_Hat_Enterprise_Linux-Release_Notes-6-it-IT-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-6-it-IT
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications Red_Hat_Enterprise_Linux-Release_Notes-6-it-IT-8.desktop

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/it-IT/html-desktop/*
/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-it-IT.svg
%{_datadir}/applications/Red_Hat_Enterprise_Linux-Release_Notes-6-it-IT-8.desktop

%changelog
* Fri Mar 11 2016 Radek Bíba <rbiba@redhat.com> - 8-2
- From now on, we use version-agnostic boilerplate text with a link to the online document. 
